import PropTypes from 'prop-types';

import { Emphasis } from './Emphasis';

const EmphasisPlugin = ({ className, EMPHASIS_TAG, ...attributes } = {}) => ({
  renderElement: Emphasis({ className, EMPHASIS_TAG, ...attributes }),
});

EmphasisPlugin.propTypes = {
  className: PropTypes.string,
  EMPHASIS_TAG: PropTypes.node,
};

export { EmphasisPlugin };
